Skip to main content
8 votes
Accepted

What is the circular dependency in signing a chain of unconfirmed transactions?

What is the circular dependency here if only tx1 depends on tx0? Since tx1 depends on tx0, the txid of tx0 must be known before tx1 can be created and signed. However the legacy transaction format (...
Ava Chow's user avatar
  • 71k
5 votes

Add dependency Bitcoin Core

Make sure to build the dependency: cd ./depends/ make And then tell bitcoin where to find the dependency: cd ../ ./configure --prefix=`pwd`/depends/x86_whatever_your_current_arch_is Further ...
user2084795's user avatar
3 votes

Building on Ubuntu 16, missing SSL during ./configure

I fixed the issue by installing extra libraries, the whole list sudo apt-get install -y autoconf g++ make openssl libssl-dev libcurl4-openssl-dev sudo apt-get install -y libcurl4-openssl-dev pkg-...
David's user avatar
  • 31
3 votes
Accepted

who attaches dependent transactions? Sender or receiver

A transaction is dependent on all transactions whose outputs are spent, and it can only be confirmed after all its ancestors are confirmed (this can be within the same block, just in the correct order)...
Vojtěch Strnad's user avatar
3 votes

What is the circular dependency in signing a chain of unconfirmed transactions?

In Bitcoin funds are tracked in the form of Unspent Transaction Outputs (UTXOs). When building a transaction you declare exactly which UTXO you are spending by providing the UTXO’s outpoint. The ...
Murch's user avatar
  • 76k
2 votes

Bitcore = "Error: More than one instance of bitcore-lib found"

I don't know if that's the right method but it does work. delete global._bitcore var bitcore = require('bitcore-lib')
01BTC10's user avatar
  • 353
2 votes

Depends: libgcc-s1 (>=3.0) but it is not installable (Bitcoind wallet dependency problem on Debian)

You probably need a newer version of gcc. This helped me fix for Ubuntu: https://askubuntu.com/questions/1140183/install-gcc-9-on-ubuntu-18-04 TL&DR: adds custom PPA repo so you will able to ...
prohfesor's user avatar
2 votes

Adding Dependencies to Bitcoin Core

I was able to get the code to compile with the following diff: diff --git a/src/Makefile.am b/src/Makefile.am index 6bb19d9bf..aab8ab458 100644 --- a/src/Makefile.am +++ b/src/Makefile.am @@ -33,9 +...
Ava Chow's user avatar
  • 71k
2 votes

"command not found' while installing dependencies

Not libdb++-dev libboost-all-dev libcrypto++-dev libqrencode-dev libminiupnpc-dev but sudo apt-get install libdb++-dev libboost-all-dev libcrypto++-dev libqrencode-dev libminiupnpc-dev Those are ...
MCCCS's user avatar
  • 10.2k
1 vote
Accepted

Choosing Rights Host For Dependency Make

The following triplets are currently supported by Bitcoin Core's "depends" build system, assuming that's what you're talking about (and even if not, these are fairly standard). From https://...
Pieter Wuille's user avatar
1 vote

Bitcore = "Error: More than one instance of bitcore-lib found"

See Add this line prior bitcore definition: Object.defineProperty(global, '_bitcore', { get(){ return undefined }, set(){} }) Taken from here.
forhas's user avatar
  • 137

Only top scored, non community-wiki answers of a minimum length are eligible